Avro C#

Public Member Functions | List of all members
Avro.Generic.PreresolvingDatumReader< T >.FixedAccess Interface Reference

Defines the interface for a class that provides access to a fixed implementation. More...

## Public Member Functions
object | CreateFixed (object reuse)
| Returns a fixed object. More...
byte[] | GetFixedBuffer (object f)
| Returns a buffer of appropriate size to read data into. More...

## Detailed Description

Defines the interface for a class that provides access to a fixed implementation.

## Member Function Documentation

## ◆ CreateFixed()

object Avro.Generic.PreresolvingDatumReader< T >.FixedAccess.CreateFixed | ( | object | reuse | ) |

Returns a fixed object.

Parameters

  reuse | If appropriate, uses this object instead of creating a new one.

Returns
  A fixed object with an appropriate buffer.

## ◆ GetFixedBuffer()

byte [] Avro.Generic.PreresolvingDatumReader< T >.FixedAccess.GetFixedBuffer | ( | object | f | ) |

Returns a buffer of appropriate size to read data into.

Parameters

  f | The fixed object. It is guaranteed that this is something that has been previously returned by CreateFixed

Returns
  A byte buffer of fixed's size.

The documentation for this interface was generated from the following file:

- src/apache/main/Generic/PreresolvingDatumReader.cs